Package twisted :: Package internet :: Module protocol :: Class ConnectedDatagramProtocol |
[frames | no frames]

## Class ConnectedDatagramProtocol

    AbstractDatagramProtocol --+
                               |
                DatagramProtocol --+
                                   |
                                  ConnectedDatagramProtocol

Protocol for connected datagram-oriented transport, e.g. UDP.

Method Summary
| ``connectionFailed`(self, failure)` Called if connecting failed.
| ``connectionRefused`(self)` Called for connection refused error.
| ``datagramReceived`(self, datagram)` Called when a datagram is received.
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
Inherited from AbstractDatagramProtocol
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Method Details

### connectionFailed(self, failure) Called if connecting failed. Usually this will be due to a DNS lookup failure.

### connectionRefused(self) Called for connection refused error. Note this is a result of ICMP message generated by *previous* write.

### datagramReceived(self, datagram) Called when a datagram is received. Parameters: `datagram` - the string received from the transport. Overrides: `twisted.internet.protocol.AbstractDatagramProtocol.datagramReceived`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net